<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\TeilnehmerInfo\TeilnehmerDetails;

class ReiterView extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\TeilnehmerDetails\ReiterView
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/teilnehmerinfo/teilnehmerdetails/reiter.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->teilnehmer);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpTeilnehmer();
  }

  protected function getBodyDataModulArray()
  {
    
    
    return $this->viewModel->reiter;
  }

  protected function getFooterDataModulArray()
  {
    return array($this->viewModel->teilnehmer);
  }

  protected function getFooterExportAdapter()
  {
    return new \ExpTeilnehmer();
  }
}

class ReiterViewModel
{
  public $reiter;
  public $teilnehmer;
}